Package org.codehaus.janino

# Class Java.Literal

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.Literal

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Direct Known Subclasses:
  `Java.BooleanLiteral`, `Java.CharacterLiteral`, `Java.FloatingPointLiteral`, `Java.IntegerLiteral`, `Java.NullLiteral`, `Java.StringLiteral`, `Java.TextBlock`

Enclosing class:
  `Java`

public abstract static class Java.Literal extends Java.Rvalue
Abstract base class for the various Java literals; see JLS7 3.10.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`value`
The text of the literal token, as in the source code.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`Literal(Location location, String value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### value

public final String value
The text of the literal token, as in the source code.

For `true`, `false` and `null`, this string value is guaranteed to be `interned`, so it can safely be reference-compared with other interned strings.

## Constructor Details

### Literal

public Literal(Location location, String value)

Parameters:
  `value` - The text of the literal token, as in the source code

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`